org.eclipse.microprofile.reactive.messaging.tck.invalid

## Class ProcessorMultipleUpstreams

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.invalid.ProcessorMultipleUpstreams

    @ApplicationScoped
    public class ProcessorMultipleUpstreams
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ProcessorMultipleUpstreams()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `consume(String x)`
`String` `generate()`
`void` `sink(String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProcessorMultipleUpstreams

    public ProcessorMultipleUpstreams()

### Method Detail

#### generate

    public String generate()

#### consume

    public String consume(String x)

#### sink

    public void sink(String s)